/*
 * File: Acronym.js
 * ----------------
 * This file defines the function acronym, which generates acronyms from
 * a string.
 */

/* Constants */
const ALPHABET = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
const PHRASES = [
   "not in my back yard",
   "in my humble opinion",
   "laughing out loud",
   "end of message"
];

/**
 * Function: Acronym
 * -----------------
 * Operates as a test harness to confirm that a very naive implementation of
 * acronym works in a limited number of circumstances.
 */
function Acronym() {
   for (let i = 0; i < PHRASES.length; i++) {
      console.log("acronym(\"" + PHRASES[i] + "\") -> \"" + acronym(PHRASES[i]) + "\"");
   }
}

/*
 * Generates the acronym of the specified string, which is a string formed
 * from the first letter of each word.  Word boundaries are indicated by
 * isolated spaces.
 */
function acronym(str) {
   // replace the following line with the implementation that
   // actually constructs an acronym
   return str;
}